Bug 444683 - Xorg doesn't start with ati driver
Xorg doesn't start with ati driver
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-29 19:34 EDT by Marc Wiriadisastra
Modified: 2008-05-11 16:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-11 16:46:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Xorg log which has the errors. (229.03 KB, text/plain)
2008-04-29 19:34 EDT, Marc Wiriadisastra
no flags Details
xorg.conf (1.26 KB, application/octet-stream)
2008-04-30 19:42 EDT, Marc Wiriadisastra
no flags Details

  None (edit)
Description Marc Wiriadisastra 2008-04-29 19:34:42 EDT
Description of problem:
I can't start xorg either from bootup or using startx

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.8.0-12.fc9.i386

How reproducible:
Every time.

Steps to Reproduce:
1. boot machine up
2. Gets to the rhgb then locks up.
3.
  
Actual results:

It locks up

Expected results:
It should load up fine.

Additional info:

[root@localhost ~]# lspci
00:00.0 Host bridge: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT
Express Memory Controller Hub (rev 03)
00:01.0 PCI bridge: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT
Express PCI Express Root Port (rev 03)
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition
Audio Controller (rev 01)
00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1
(rev 01)
00:1c.3 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 4
(rev 01)
00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI
Controller #1 (rev 01)
00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI
Controller #2 (rev 01)
00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI
Controller #3 (rev 01)
00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI
Controller #4 (rev 01)
00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI
Controller (rev 01)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e1)
00:1f.0 ISA bridge: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge
(rev 01)
00:1f.2 IDE interface: Intel Corporation 82801GBM/GHM (ICH7 Family) SATA IDE
Controller (rev 01)
00:1f.3 SMBus: Intel Corporation 82801G (ICH7 Family) SMBus Controller (rev 01)
01:00.0 VGA compatible controller: ATI Technologies Inc M52 [Mobility Radeon X1300]
03:00.0 Ethernet controller: Broadcom Corporation BCM4401-B0 100Base-TX (rev 02)
03:01.0 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller
03:01.1 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host
Adapter (rev 19)
03:01.2 System peripheral: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter
(rev 0a)
03:01.3 System peripheral: Ricoh Co Ltd xD-Picture Card Controller (rev 05)
0b:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG Network
Connection (rev 02)
Comment 1 Marc Wiriadisastra 2008-04-29 19:34:42 EDT
Created attachment 304167 [details]
Xorg log which has the errors.
Comment 2 Marc Wiriadisastra 2008-04-29 19:36:53 EDT
http://www.smolts.org/show?uuid=pub_11cbc424-765d-4516-a2a9-230f4a312a6e

Might help but if not.

Also another point is that I'm using vesa to startx and it's limited to ati
only. I haven't tried any other drivers.
Comment 3 Jeremy Katz 2008-04-29 22:16:44 EDT
Can you also attach your xorg.conf?  Not that I expect there's anything
interesting there, but just in the interest of making sure all the relevant info
is here
Comment 4 Marc Wiriadisastra 2008-04-30 19:42:06 EDT
Created attachment 304278 [details]
xorg.conf

Take into account it's been modified to work with Vesa. The only settings is
the EXA setting and the driver setting everything else is commented out.
Comment 5 Dave Airlie 2008-05-05 20:53:02 EDT
have you got bits of fglrx installed or something?

-ati driver can't find a kernel drm or the kernel drm that is loaded isn't its one..
Comment 6 Marc Wiriadisastra 2008-05-11 01:28:33 EDT
Removing the fglrx driver and rebooting it works.

Can you explain why before I could have the fglrx installed but not enabled and
the ati driver would still work.  Is there a way to have the fglrx driver
installed but not enabled and have the ati driver functioning?
Comment 7 Dave Airlie 2008-05-11 16:46:37 EDT
you had the fglrx kernel module loaded in your kernel, I would say this is the
same as having enabled fglrx.

I've no idea where fglrx packages come from, or if you just dl from ATI, but Red
Hat/Fedora cannot fix these. Please contact the package maintainers or ATI.

Note You need to log in before you can comment on or make changes to this bug.